Skip to main content
GET
/
billing
/
profiles
/
{billing_profile_id}
/
projects
Error
A valid request URL is required to generate request examples
{
  "count": 123,
  "items": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "subscription_id": "<string>",
      "vendor": "<string>",
      "region": "<string>",
      "title": "<string>",
      "type": "grid",
      "plan": "<string>",
      "timezone": "<string>",
      "default_branch": "<string>",
      "status": "requested",
      "trial_plan": true,
      "project_ui": "<string>",
      "dedicated_tag": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "activities": [
        {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "type": "<string>",
          "parameters": {},
          "project": "<string>",
          "state": "cancelled",
          "result": "failure",
          "failure_reason": "error",
          "started_at": "2023-11-07T05:31:56Z",
          "completed_at": "2023-11-07T05:31:56Z",
          "completion_percent": 123,
          "cancelled_at": "2023-11-07T05:31:56Z",
          "timings": {},
          "log": "<string>",
          "payload": {},
          "description": "<string>",
          "text": "<string>",
          "expires_at": "2023-11-07T05:31:56Z",
          "commands": [
            {
              "app": "<string>",
              "type": "<string>",
              "exit_code": 123
            }
          ],
          "integration": "<string>",
          "environments": [
            "<string>"
          ]
        }
      ],
      "fastly_service_ids": [
        "<string>"
      ],
      "project_options": {
        "billing": {},
        "defaults": {},
        "enforced": {},
        "initialize": {},
        "plans": [
          "<string>"
        ],
        "regions": [
          "<string>"
        ],
        "plan_titles": {},
        "sellables": {},
        "features": {
          "backups": {}
        },
        "container_sizes": [
          "<string>"
        ],
        "debug": {}
      },
      "_links": {
        "self": {
          "href": "<string>"
        },
        "api": {
          "href": "<string>"
        },
        "subscription": {
          "href": "<string>"
        },
        "view_usage_alerts": {
          "href": "<string>"
        },
        "update": {
          "href": "<string>",
          "method": "<string>"
        },
        "plan_uri": {
          "href": "<string>"
        },
        "delete": {
          "href": "<string>",
          "method": "<string>"
        },
        "update_usage_alerts": {
          "href": "<string>",
          "method": "<string>"
        },
        "activities": {
          "href": "<string>"
        },
        "addons": {
          "href": "<string>"
        }
      }
    }
  ],
  "facets": {
    "plans": {}
  },
  "_links": {
    "self": {
      "href": "<string>"
    },
    "previous": {
      "href": "<string>"
    },
    "next": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

billing_profile_id
string<ulid>
required

The ID of the billing profile.

Query Parameters

filter[id]
object

Allows filtering by id using one or more operators.

filter[title]
object

Allows filtering by title using one or more operators.

filter[subscription_id]
object

Allows filtering by subscription_id using one or more operators.

filter[region]
object

Allows filtering by region using one or more operators.

filter[type]
object

Allows filtering by type using one or more operators.

filter[plan]
object

Allows filtering by plan using one or more operators.

filter[status]
object

Allows filtering by status using one or more operators.

filter[updated_at]
object

Allows filtering by updated_at using one or more operators.

filter[created_at]
object

Allows filtering by created_at using one or more operators.

page[size]
integer

Determines the number of items to show.

Required range: 1 <= x <= 100
page[before]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

page[after]
string

Pagination cursor. This is automatically generated as necessary and provided in HAL links (_links); it should not be constructed externally.

sort
string

Allows sorting by a single field.
Use a dash ("-") to sort descending.
Supported fields: id, region, title, type, plan, status, created_at, updated_at.

Example:

"-updated_at"

Response

OK

count
integer

Total number of items across pages.

items
object[]
facets
object

Facets for filtering options.

Last modified on March 25, 2026